Spaces

Decline a space invitation

POST
/spaces/{space_id}/members/{membership_id}/decline

Decline a pending Space-share invite addressed to the caller.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

space_id*string

Resource identifier: space_id.

Formatuuid
membership_id*string

Resource identifier: membership_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/spaces/123e4567-e89b-42d3-a456-426614174000/members/123e4567-e89b-42d3-a456-426614174000/decline" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "space_id": "123e4567-e89b-42d3-a456-426614174000",  "membership_id": "123e4567-e89b-42d3-a456-426614174000",  "status": "declined"}